OnlyFans API
FanslyMass Messaging

Update Scheduled Mass Message

Edit a pending scheduled broadcast. Fansly replaces the message on edit, so send the complete desired state — text and scheduledFor. Pass the existing scheduledFor (from the List Scheduled Mass Messages endpoint) to keep the schedule time unchanged.

PUT
/api/fansly/{fanslyAccount}/mass-messaging/{broadcast_id}
AuthorizationBearer <token>

Get your API Key from OnlyFansAPI Console - https://app.onlyfansapi.com/api-keys

In: header

Path Parameters

fanslyAccount*string

The Fansly Account ID

broadcast_id*string

The scheduled broadcast ID (from the List Scheduled Mass Messages endpoint).

Request Body

application/json

text*string

The message text content.

scheduledFor*integer

Unix timestamp in milliseconds the broadcast is scheduled for. Pass the current value to leave it unchanged.

Response Body

application/json

curl -X PUT "https://app.onlyfansapi.com/api/fansly/fansly_acct_XXXXXXXXXXXXXXX/mass-messaging/300000000000000020" \  -H "Content-Type: application/json" \  -d '{    "text": "Hey everyone, new content is live! (edited)",    "scheduledFor": 1785110912000  }'
{
  "data": "broadcast sent",
  "_meta": {
    "_credits": {
      "used": 1,
      "balance": 10055789,
      "note": "Always"
    },
    "_cache": {
      "is_cached": false,
      "note": "Cache disabled for this endpoint"
    },
    "_rate_limits": {
      "limit_minute": 5000,
      "limit_day": null,
      "remaining_minute": 4999,
      "remaining_day": null,
      "notice": "We have decided to remove our daily rate limits. Please remove any references to these in your integrations."
    }
  }
}